Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface LinkModelFacet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelFacet, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FeatureLinkModelFacet, TypeLinkModelFacet

All Known Implementing Classes:
  FeatureLinkModelFacetImpl, TypeLinkModelFacetImpl

    public interface LinkModelFacet

extends ModelFacet

A representation of the model object 'Link Model Facet'. Model facet of links

See Also:
  `GMFGenPackage.getLinkModelFacet()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass>` `getAssistantSourceTypes()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass>` `getAssistantTargetTypes()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getSourceType()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getTargetType()`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSourceType

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getSourceType()

  ** Generated **
  Model:
    kind="operation"

### getTargetType

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getTargetType()

  ** Generated **
  Model:
    kind="operation"

### getAssistantSourceTypes

    org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> getAssistantSourceTypes()

  ** Generated **
  Model:
    kind="operation"

### getAssistantTargetTypes

    org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> getAssistantTargetTypes()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.